Skip to main content
GET
/
governance
/
audit
List audit events
curl --request GET \
  --url https://api.example.com/governance/audit \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "<string>",
      "timestamp": "2023-11-07T05:31:56Z",
      "org_id": "<string>",
      "actor_id": "<string>",
      "actor_type": "<string>",
      "action": "<string>",
      "resource_type": "<string>",
      "source_service": "<string>",
      "project_id": "<string>",
      "resource_id": "<string>",
      "source_pod": "<string>",
      "trace_id": "<string>",
      "details": {}
    }
  ],
  "pagination": {
    "page": 2,
    "limit": 50,
    "total_items": 1,
    "total_pages": 1,
    "next_page": 123,
    "prev_page": 123
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.emergence.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

project_id
string | null

Filter by project

actor_id
string | null

Filter by actor

action
string | null

Filter by action

resource_type
string | null

Filter by resource type

resource_id
string | null

Filter by resource ID

start_time
string<date-time> | null

Start of time range

end_time
string<date-time> | null

End of time range

page
integer
default:1

Page number

Required range: x >= 1
page_size
integer
default:50

Page size (max 100)

Required range: 1 <= x <= 100

Response

Successful Response

Paginated list of audit events.

data
AuditEventResponse · object[]
required

List of audit events

pagination
Pagination · object
required

Pagination metadata